import React, { useState } from 'react'
import ActivityListItem from '@/components/ActivityListItem/index'
import ScrollPage from '@/components/ScrollPage/index'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function ShouYeHuoDong (props) {

  const [ActivityList, setActivityList] = useState(['', '', '', '', '', '', ''])
  const [IsPullDown, setIsPullDown] = useState(false)
  const [IsPullUp, setIsPullUp] = useState(false)
  const [HasMore, setHasMore] = useState(true)

  const OnRefresh = () => { // 页面下拉刷新
    setIsPullDown(true)
    window.setTimeout(() => {
      setIsPullUp(false)
      setHasMore(true)
      setIsPullDown(false)
    }, 1000)
  }

  const OnPullUp = () => { // 页面上拉加载
    if (HasMore && !IsPullUp) {
      setIsPullUp(true)
      window.setTimeout(() => {
        setIsPullUp(false)
        setHasMore(false)
      }, 1000)
    }
  }

  return (
    <view className='ShouYeHuoDong'>
      <ScrollPage IsPullDown={IsPullDown} IsPullUp={IsPullUp} HasMore={HasMore} OnRefresh={OnRefresh} OnPullUp={OnPullUp}>
        <view className='ShouYeHuoDongContent'>
          {
            ActivityList.map((item, index) => (
              <view className='ListItem' key={`ActivityItem-${index}`}>
                <ActivityListItem Data={item}></ActivityListItem>
              </view>
            ))
          }
        </view>
      </ScrollPage>
    </view >
  )
}
